call spQuery_Lista_Habitacion(1);

DROP PROCEDURE IF EXISTS spQuery_Lista_Habitacion;
CREATE PROCEDURE spQuery_Lista_Habitacion(
  varEmpresa  int
  )
BEGIN 
  select H.id_habitacion as CHAB, CONCAT(H.numero, ' - ', T.nombre, ' - ', P.nombre) AS HABITACION
  from _sh_habitacion H
  inner join _sh_tipo_habitacion T ON H.id_tipo_habitacion = T.id_tipo_habitacion
  inner join _sh_piso P ON H.id_piso = P.id_piso
  where H._estado = 'A'
  and H.id_empresa = varEmpresa;
END;